## org.flexdock.docking.drag.outline.x11
Class Connection

    java.lang.Object
      org.flexdock.docking.drag.outline.x11.Connection

    public class Connection

extends java.lang.Object

Author:
  Christopher Butler

Field Summary
`static java.lang.String` `DISPLAY_VAR`
`static java.lang.String` `LOCALHOST`

Constructor Summary
`Connection()`

Method Summary
`void` `close()`
`void` `sendRequest(DataBuffer req)`
`DataBuffer` `sendRequest(DataBuffer req, boolean readReply)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCALHOST

    public static final java.lang.String LOCALHOST

See Also:
  Constant Field Values

### DISPLAY_VAR

    public static final java.lang.String DISPLAY_VAR

See Also:
  Constant Field Values

Constructor Detail

### Connection

    public Connection()
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### close

    public void close()

### sendRequest

    public void sendRequest(DataBuffer req)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendRequest

    public DataBuffer sendRequest(DataBuffer req,
                                  boolean readReply)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`